xn::NodeInfo Class Reference
C++ Reference to Application Programmer Interface (API) » Managing the Production Graph

`#include <XnCppWrapper.h>`

## Public Member Functions

| NodeInfo (XnNodeInfo *pInfo)
| NodeInfo (const NodeInfo &other)
| ~NodeInfo ()
NodeInfo & | operator= (const NodeInfo &other)
| operator XnNodeInfo * ()
XnStatus | SetInstanceName (const XnChar *strName)
const XnProductionNodeDescription & | GetDescription () const
const XnChar * | GetInstanceName () const
const XnChar * | GetCreationInfo () const
NodeInfoList & | GetNeededNodes () const
XnStatus | GetInstance (ProductionNode &node) const
const void * | GetAdditionalData () const
XnStatus | GetTreeStringRepresentation (XnChar *csResultBuffer, XnUInt32 nBufferSize) const

## Friends

class | Context

## Detailed Description

Purpose: This class provides functionality for getting information about a node alternative. A Node Alternative is either an existing node, or a not-yet instantiated alternative.

Remarks:

Each instantiated node has a NodeInfo object and it can be accessed through the xn::ProductionNode::GetInfo() method.

## Constructor & Destructor Documentation

## NodeInfo() [1/2]

xn::NodeInfo::NodeInfo | ( | XnNodeInfo * | pInfo | ) |

inline

Ctor

Parameters

  [in] | pInfo | The C object to wrap

## NodeInfo() [2/2]

xn::NodeInfo::NodeInfo | ( | const NodeInfo & | other | ) |

inline

Copy Ctor

Parameters

  [in] | other | An object to copy from.

## ~NodeInfo()

xn::NodeInfo::~NodeInfo | ( |  | ) |

inline

Dtor

## Member Function Documentation

## GetAdditionalData()

const void * xn::NodeInfo::GetAdditionalData | ( |  | ) | const

inline

For full details and usage, see xnNodeInfoGetAdditionalData

## GetCreationInfo()

const XnChar * xn::NodeInfo::GetCreationInfo | ( |  | ) | const

inline

Gets the creation information of the node alternative.

Remarks

A node's creation information is a way for a node implementation to have two distinct instances of the same node class, that is two nodes. For example, a Device node implementation can use this field for the name of the device it represents, so that if two sensors are connected, each will have a different value here.

## GetDescription()

const XnProductionNodeDescription & xn::NodeInfo::GetDescription | ( |  | ) | const

inline

Gets the description of a node alternative.

Remarks

When you instantiate a production node object – for example a DepthGenerator – you cannot access it's NodeInfo object until after `Create()` has been called.

However - you can also get NodeInfo objects by enumeration, for example, from the EnumerateProductionTrees() method.

## GetInstance()

XnStatus xn::NodeInfo::GetInstance | ( | ProductionNode & | node | ) | const

inline

Gets a reference to the node instance represented by this node alternative.

Parameters

  node | [in/out] The production node to be pointing to the node.

Returns
  an error if this node info object does not point to an actual node.

## GetInstanceName()

const XnChar * xn::NodeInfo::GetInstanceName | ( |  | ) | const

inline

Gets the instance name of a node alternative.

Remarks

When you instantiate a DepthGenerator object, for example, you cannot access it's NodeInfo object until after its `Create()` method has been called.

However - you can also get NodeInfo objects by enumeration, for example, from the EnumerateProductionTrees() method.

## GetNeededNodes()

NodeInfoList & xn::NodeInfo::GetNeededNodes | ( |  | ) | const

inline

## GetTreeStringRepresentation()

XnStatus xn::NodeInfo::GetTreeStringRepresentation | ( | XnChar * | csResultBuffer,
|  | XnUInt32 | nBufferSize ) const

inline

For full details and usage, see xnNodeInfoGetTreeStringRepresentation

## operator XnNodeInfo *()

xn::NodeInfo::operator XnNodeInfo * | ( |  | ) |

inline

Gets the underlying C object

## operator=()

NodeInfo & xn::NodeInfo::operator= | ( | const NodeInfo & | other | ) |

inline

Assignment operator

Parameters

  [in] | other | another object

## SetInstanceName()

XnStatus xn::NodeInfo::SetInstanceName | ( | const XnChar * | strName | ) |

inline

Sets the instance name of the NodeInfo object. The name can only be set before the instance is created.

Parameters

  [in] | strName | Name to give to this instance.

## Friends And Related Symbol Documentation

## Context

friend class Context

friend

The documentation for this class was generated from the following file:

- XnCppWrapper.h